Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.shipping
Class ShippingMethodImpl

    java.lang.Object
      com.beasys.commerce.foundation.EntityImpl
          com.beasys.commerce.ebusiness.shipping.ShippingMethodImpl

All Implemented Interfaces:
  EnterpriseBean, EntityBean, RelationalReference, Serializable

public class ShippingMethodImpl
extends EntityImpl

A shipping method is a mechanism by which product is delivered. It stores a standard set of attributes and allows for complex shipping cost calculation.

     Primary Key = com.beasys.commerce.ebusiness.shipping.ShippingMethodPk

See Also:
  `ShippingMethod`, `ShippingMethodHome`, `ShippingMethodValue`, Serialized Form

Field Summary
`int` | `averageShippingTime` The average delivery time.
`String` | `carrier` The service provider used for delivery.
`String` | `costCalculationMechanism` Used to specify one of the pre-programmed shipping cost calculation mechanisms.
`String` | `description` An textual description of this shipping mechanism.
`String` | `identifier` A key that uniquely identifies this shipping method.
`boolean` | `internationalDelivery` True if this mechanism will deliver internationally.
`String` | `method` The mechanism by which the item will be shipped.
`String` | `packagingType` Containment: By Value Multiplicity: 1:1
`double` | `percentage` Used when the shipping cost is a percentage of the total value of the order.
`boolean` | `poBoxAllowed` True if this mechanism will allow delivery to a post office box.
`Money` | `price` The base shipping cost.
`String` | `restrictions` A description of any restrictions that apply to this shipping mechanism.
`boolean` | `saturdayDelivery` True if ths shipping mechanism will deliver on a Saturday.
`boolean` | `signatureRequired` True if the customer is required to acknowled delivery with a signature.
`double` | `sizeLimit` The maximum deliverable quantity.
`double` | `weightLimit` The maximum weight limit for this shipping mechanism.

Fields inherited from class com.beasys.commerce.foundation.EntityImpl
`__classIdentifier, __containingEntity, __mapKey, __sequenceNumber, _ctx, _environmentNamingContext, _environmentPropertyCache, _isDirty, _smartBMP`

Constructor Summary
`ShippingMethodImpl()`

Method Summary
`protected void` | `bscInitializeAttributes(ShippingMethodPk shippingMethodPk)`
`void` | `ejbActivate()` ejbActivate method.
`ShippingMethodPk` | `ejbCreate(ShippingMethodPk shippingMethodPk)`
`Enumeration` | `ejbFindAll()` ejbFindAll method.
`ShippingMethodPk` | `ejbFindByPrimaryKey(ShippingMethodPk pk)`
`void` | `ejbLoad()` ejbLoad method.
`void` | `ejbPassivate()` ejbPassivate method.
`void` | `ejbPostCreate(ShippingMethodPk shippingMethodPk)`
`void` | `ejbRemove()` ejbRemove method.
`void` | `ejbStore()` ejbStore method.
`int` | `getAverageShippingTime()` Get the value of averageShippingTime
`String` | `getCarrier()` Get the value of carrier
`String` | `getCostCalculationMechanism()` Get the value of costCalculationMechanism
`String` | `getDescription()` Get the value of description
`String` | `getIdentifier()`
`boolean` | `getInternationalDelivery()` Get the value of internationalDelivery
`String` | `getMethod()` Get the value of method
`String` | `getPackagingType()` Get the value of packagingType
`double` | `getPercentage()` Get the value of percentage
`boolean` | `getPoBoxAllowed()` Get the value of poBoxAllowed
`Money` | `getPrice()` Get the value of price
`String` | `getRestrictions()` Get the value of restrictions
`boolean` | `getSaturdayDelivery()` Get the value of saturdayDelivery
`ShippingMethodValue` | `getShippingMethodByValue()` Get all of ShippingMethod's attributes.
`boolean` | `getSignatureRequired()` Get the value of signatureRequired
`double` | `getSizeLimit()` Get the value of sizeLimit
`double` | `getWeightLimit()` Get the value of weightLimit
`void` | `setAverageShippingTime(int averageShippingTime)` Set the value of averageShippingTime
`void` | `setCarrier(String carrier)` Set the value of carrier
`void` | `setCostCalculationMechanism(String costCalculationMechanism)` Set the value of costCalculationMechanism
`void` | `setDescription(String description)` Set the value of description
`void` | `setEntityContext(EntityContext ctx)` setEntityContext method.
`void` | `setIdentifier(String value)`
`void` | `setInternationalDelivery(boolean internationalDelivery)` Set the value of internationalDelivery
`void` | `setMethod(String method)` Set the value of method
`void` | `setPackagingType(String packagingType)` Set the value of packagingType
`void` | `setPercentage(double percentage)` Set the value of percentage
`void` | `setPoBoxAllowed(boolean poBoxAllowed)` Set the value of poBoxAllowed
`void` | `setPrice(Money price)` Set the value of price
`void` | `setRestrictions(String restrictions)` Set the value of restrictions
`void` | `setSaturdayDelivery(boolean saturdayDelivery)` Set the value of saturdayDelivery
`void` | `setShippingMethodByValue(ShippingMethodValue value)` Set all of ShippingMethod's attributes to the passed in value.
`void` | `setSignatureRequired(boolean signatureRequired)` Set the value of signatureRequired
`void` | `setSizeLimit(double sizeLimit)` Set the value of sizeLimit
`void` | `setWeightLimit(double weightLimit)` Set the value of weightLimit
`void` | `unsetEntityContext()` unsetEntityContext method.

Methods inherited from class com.beasys.commerce.foundation.EntityImpl
`bscInitializeAttributes, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, ejbCreate, ejbFindByPrimaryKey, ejbPostCreate, enumerateRelationalBinding, enumerateRelationalBinding, get__classIdentifier, get__containingBelonging, get__containingEntity, get__containingEntityReference, get__mapKey, get__sequenceNumber, getEntityContext, getEnvironmentNamingContext, getEnvironmentProperty, getEnvironmentProperty, getEnvironmentPropertyCache, getPersistenceHelperPlugin, getSmartBMP, initSmartBMP, isModified, set__classIdentifier, set__containingBelonging, set__containingEntity, set__containingEntityReference, set__mapKey`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### identifier

    public String identifier

  A key that uniquely identifies this shipping method.
  - Containment: By Value
  - Multiplicity: 1:1
  - PRIMARY KEY FIELD

### sizeLimit

    public double sizeLimit

  The maximum deliverable quantity.
  - Containment: By Value
  - Multiplicity: 1:1

### description

    public String description

  An textual description of this shipping mechanism.
  - Containment: By Value
  - Multiplicity: 1:1

### signatureRequired

    public boolean signatureRequired

  True if the customer is required to acknowled delivery with a signature.
  - Containment: By Value
  - Multiplicity: 1:1

### weightLimit

    public double weightLimit

  The maximum weight limit for this shipping mechanism.
  - Containment: By Value
  - Multiplicity: 1:1

### percentage

    public double percentage

  Used when the shipping cost is a percentage of the total value of the order.
  - Containment: By Value
  - Multiplicity: 1:1

### poBoxAllowed

    public boolean poBoxAllowed

  True if this mechanism will allow delivery to a post office box.
  - Containment: By Value
  - Multiplicity: 1:1

### restrictions

    public String restrictions

  A description of any restrictions that apply to this shipping mechanism.
  - Containment: By Value
  - Multiplicity: 1:1

### averageShippingTime

    public int averageShippingTime

  The average delivery time.
  - Containment: By Value
  - Multiplicity: 1:1

### carrier

    public String carrier

  The service provider used for delivery.
  - Containment: By Value
  - Multiplicity: 1:1

### saturdayDelivery

    public boolean saturdayDelivery

  True if ths shipping mechanism will deliver on a Saturday.
  - Containment: By Value
  - Multiplicity: 1:1

### price

    public Money price

  The base shipping cost.
  - Containment: By Value
  - Multiplicity: 1:1

### packagingType

    public String packagingType

  - Containment: By Value
  - Multiplicity: 1:1

### costCalculationMechanism

    public String costCalculationMechanism

  Used to specify one of the pre-programmed shipping cost calculation mechanisms. Policy:Uses the Shipping Cost Calculation Policy to determine the total cost. FlatRate: A single flat rate price is returned as specified in the price field. PerItem: The count of items in the order is multiplied by the price field to determine the shipping cost. Percentage: The total cost of the order is multiplied by the percenate specified to determine the cost.
  - Containment: By Value
  - Multiplicity: 1:1

### method

    public String method

  The mechanism by which the item will be shipped. These include Air, Ship, Truck, etc..
  - Containment: By Value
  - Multiplicity: 1:1

### internationalDelivery

    public boolean internationalDelivery

  True if this mechanism will deliver internationally.
  - Containment: By Value
  - Multiplicity: 1:1

Constructor Detail

### ShippingMethodImpl

    public ShippingMethodImpl()

Method Detail

### getShippingMethodByValue

    public ShippingMethodValue getShippingMethodByValue()

  Get all of ShippingMethod's attributes.

  Returns:
    ShippingMethodValue the ShippingMethod value object

### setShippingMethodByValue

    public void setShippingMethodByValue(ShippingMethodValue value)

  Set all of ShippingMethod's attributes to the passed in value. Note: Primary key attributes are not set.

### ejbCreate

    public ShippingMethodPk ejbCreate(ShippingMethodPk shippingMethodPk)
                               throws CreateException

  Throws:
    `CreateException`

### bscInitializeAttributes

    protected void bscInitializeAttributes(ShippingMethodPk shippingMethodPk)
                                    throws CreateException

  Throws:
    `CreateException`

### ejbPostCreate

    public void ejbPostCreate(ShippingMethodPk shippingMethodPk)
                       throws CreateException

  Throws:
    `CreateException`

### ejbLoad

    public void ejbLoad()
                 throws EJBException

  Description copied from class: `EntityImpl`
  ejbLoad method.

  Specified by:
    `ejbLoad` in interface `EntityBean`
  Overrides:
    `ejbLoad` in class `EntityImpl`
  Throws:
    `EJBException`

### ejbStore

    public void ejbStore()
                  throws EJBException

  Description copied from class: `EntityImpl`
  ejbStore method.

  Specified by:
    `ejbStore` in interface `EntityBean`
  Overrides:
    `ejbStore` in class `EntityImpl`
  Throws:
    `EJBException`

### ejbRemove

    public void ejbRemove()
                   throws RemoveException

  Description copied from class: `EntityImpl`
  ejbRemove method.

  Specified by:
    `ejbRemove` in interface `EntityBean`
  Overrides:
    `ejbRemove` in class `EntityImpl`
  Throws:
    `RemoveException`

### ejbActivate

    public void ejbActivate()
                     throws EJBException

  Description copied from class: `EntityImpl`
  ejbActivate method.

  Specified by:
    `ejbActivate` in interface `EntityBean`
  Overrides:
    `ejbActivate` in class `EntityImpl`
  Throws:
    `EJBException`

### ejbPassivate

    public void ejbPassivate()
                      throws EJBException

  Description copied from class: `EntityImpl`
  ejbPassivate method.

  Specified by:
    `ejbPassivate` in interface `EntityBean`
  Overrides:
    `ejbPassivate` in class `EntityImpl`
  Throws:
    `EJBException`

### setEntityContext

    public void setEntityContext(EntityContext ctx)
                          throws EJBException

  Description copied from class: `EntityImpl`
  setEntityContext method.

  Specified by:
    `setEntityContext` in interface `EntityBean`
  Overrides:
    `setEntityContext` in class `EntityImpl`
  Throws:
    `EJBException`

### unsetEntityContext

    public void unsetEntityContext()
                            throws EJBException

  Description copied from class: `EntityImpl`
  unsetEntityContext method.

  Specified by:
    `unsetEntityContext` in interface `EntityBean`
  Overrides:
    `unsetEntityContext` in class `EntityImpl`
  Throws:
    `EJBException`

### ejbFindByPrimaryKey

    public ShippingMethodPk ejbFindByPrimaryKey(ShippingMethodPk pk)
                                         throws FinderException

  Throws:
    `FinderException`

### getSizeLimit

    public double getSizeLimit()

  Get the value of sizeLimit

  Returns:
    sizeLimit.

### setSizeLimit

    public void setSizeLimit(double sizeLimit)

  Set the value of sizeLimit

  Parameters:
    `sizeLimit` - sizeLimit to be added

### getDescription

    public String getDescription()

  Get the value of description

  Returns:
    description.

### setDescription

    public void setDescription(String description)

  Set the value of description

  Parameters:
    `description` - description to be added

### getSignatureRequired

    public boolean getSignatureRequired()

  Get the value of signatureRequired

  Returns:
    signatureRequired.

### setSignatureRequired

    public void setSignatureRequired(boolean signatureRequired)

  Set the value of signatureRequired

  Parameters:
    `signatureRequired` - signatureRequired to be added

### getWeightLimit

    public double getWeightLimit()

  Get the value of weightLimit

  Returns:
    weightLimit.

### setWeightLimit

    public void setWeightLimit(double weightLimit)

  Set the value of weightLimit

  Parameters:
    `weightLimit` - weightLimit to be added

### getPercentage

    public double getPercentage()

  Get the value of percentage

  Returns:
    percentage.

### setPercentage

    public void setPercentage(double percentage)

  Set the value of percentage

  Parameters:
    `percentage` - percentage to be added

### getIdentifier

    public String getIdentifier()

### setIdentifier

    public void setIdentifier(String value)

### getPoBoxAllowed

    public boolean getPoBoxAllowed()

  Get the value of poBoxAllowed

  Returns:
    poBoxAllowed.

### setPoBoxAllowed

    public void setPoBoxAllowed(boolean poBoxAllowed)

  Set the value of poBoxAllowed

  Parameters:
    `poBoxAllowed` - poBoxAllowed to be added

### getRestrictions

    public String getRestrictions()

  Get the value of restrictions

  Returns:
    restrictions.

### setRestrictions

    public void setRestrictions(String restrictions)

  Set the value of restrictions

  Parameters:
    `restrictions` - restrictions to be added

### getAverageShippingTime

    public int getAverageShippingTime()

  Get the value of averageShippingTime

  Returns:
    averageShippingTime.

### setAverageShippingTime

    public void setAverageShippingTime(int averageShippingTime)

  Set the value of averageShippingTime

  Parameters:
    `averageShippingTime` - averageShippingTime to be added

### getCarrier

    public String getCarrier()

  Get the value of carrier

  Returns:
    carrier.

### setCarrier

    public void setCarrier(String carrier)

  Set the value of carrier

  Parameters:
    `carrier` - carrier to be added

### getSaturdayDelivery

    public boolean getSaturdayDelivery()

  Get the value of saturdayDelivery

  Returns:
    saturdayDelivery.

### setSaturdayDelivery

    public void setSaturdayDelivery(boolean saturdayDelivery)

  Set the value of saturdayDelivery

  Parameters:
    `saturdayDelivery` - saturdayDelivery to be added

### getPrice

    public Money getPrice()

  Get the value of price

  Returns:
    price.

### setPrice

    public void setPrice(Money price)

  Set the value of price

  Parameters:
    `price` - price to be added

### getPackagingType

    public String getPackagingType()

  Get the value of packagingType

  Returns:
    packagingType.

### setPackagingType

    public void setPackagingType(String packagingType)

  Set the value of packagingType

  Parameters:
    `packagingType` - packagingType to be added

### getCostCalculationMechanism

    public String getCostCalculationMechanism()

  Get the value of costCalculationMechanism

  Returns:
    costCalculationMechanism.

### setCostCalculationMechanism

    public void setCostCalculationMechanism(String costCalculationMechanism)

  Set the value of costCalculationMechanism

  Parameters:
    `costCalculationMechanism` - costCalculationMechanism to be added

### getMethod

    public String getMethod()

  Get the value of method

  Returns:
    method.

### setMethod

    public void setMethod(String method)

  Set the value of method

  Parameters:
    `method` - method to be added

### getInternationalDelivery

    public boolean getInternationalDelivery()

  Get the value of internationalDelivery

  Returns:
    internationalDelivery.

### setInternationalDelivery

    public void setInternationalDelivery(boolean internationalDelivery)

  Set the value of internationalDelivery

  Parameters:
    `internationalDelivery` - internationalDelivery to be added

### ejbFindAll

    public Enumeration ejbFindAll()
                           throws FinderException

  Description copied from class: `EntityImpl`
  ejbFindAll method.

  Overrides:
    `ejbFindAll` in class `EntityImpl`
  Throws:
    `FinderException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved